"use strict";

App.module("ContextModule", function(ContextModule, App, Backbone, Marionette, $, _, Logger) {

    // Define private variables
    var logger = null;

    ContextModule.addInitializer(function(options){
        
        //logger = Logger.get("ContextModule");
        //logger.setLevel(Logger.DEBUG);
        
        /**
         * ConfigCollection is needed to store parameters of entities and views
         */
        ContextModule.ConfigCollection = Backbone.Collection.extend({
            model: ContextModule.Config,
            
            initialize: function(configs, options) {
                this.configGridType = options.configGridType;
                this.dimension = options.dimension;
            }
        });
    });
}, Logger);
